#!/bin/bash

# => For logs:
#export PACKER_LOG_PATH=./build-debian-12-amd64.log
export PACKER_LOG=1


packer="/usr/bin/packer"

creds_vars_file="$HOME/.secret/.packer/vcsrv-creds.pkrvars.hcl"
build_file="$HOME/packer/linux/debian"

$packer init $HOME/packer/linux/debian-12-x64/

$packer build -force \
-var-file="$creds_vars_file" \
-var-file="$HOME/packer/linux/debian-12-x64/conf.pkrvars.hcl" \
/root/packer/linux/debian-12-x64/
